Show / Hide Table of Contents

# Struct AtkResNode

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkResNode

### Fields

| Improve this Doc View Source

#### AddBlue

##### Declaration

    public ushort AddBlue

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AddBlue_2

##### Declaration

    public ushort AddBlue_2

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AddGreen

##### Declaration

    public ushort AddGreen

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AddGreen_2

##### Declaration

    public ushort AddGreen_2

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AddRed

##### Declaration

    public ushort AddRed

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AddRed_2

##### Declaration

    public ushort AddRed_2

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Alpha_2

##### Declaration

    public byte Alpha_2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### AtkEventTarget

##### Declaration

    public AtkEventTarget AtkEventTarget

##### Field Value

Type | Description
--- | ---
AtkEventTarget |

| Improve this Doc View Source

#### ChildCount

##### Declaration

    public ushort ChildCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### ChildNode

##### Declaration

    public AtkResNode*ChildNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### Color

##### Declaration

    public FFXIVByteColor Color

##### Field Value

Type | Description
--- | ---
FFXIVByteColor |

| Improve this Doc View Source

#### Depth

##### Declaration

    public float Depth

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Depth_2

##### Declaration

    public float Depth_2

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Flags

##### Declaration

    public short Flags

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Flags_2

##### Declaration

    public uint Flags_2

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Height

##### Declaration

    public ushort Height

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### MultiplyBlue

##### Declaration

    public byte MultiplyBlue

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MultiplyBlue_2

##### Declaration

    public byte MultiplyBlue_2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MultiplyGreen

##### Declaration

    public byte MultiplyGreen

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MultiplyGreen_2

##### Declaration

    public byte MultiplyGreen_2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MultiplyRed

##### Declaration

    public byte MultiplyRed

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MultiplyRed_2

##### Declaration

    public byte MultiplyRed_2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NextSiblingNode

##### Declaration

    public AtkResNode*NextSiblingNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### NodeID

##### Declaration

    public uint NodeID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### OriginX

##### Declaration

    public float OriginX

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### OriginY

##### Declaration

    public float OriginY

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ParentNode

##### Declaration

    public AtkResNode*ParentNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### PrevSiblingNode

##### Declaration

    public AtkResNode*PrevSiblingNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### Priority

##### Declaration

    public ushort Priority

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Rotation

##### Declaration

    public float Rotation

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ScaleX

##### Declaration

    public float ScaleX

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ScaleY

##### Declaration

    public float ScaleY

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Type

##### Declaration

    public NodeType Type

##### Field Value

Type | Description
--- | ---
NodeType |

| Improve this Doc View Source

#### UnkByte_1

##### Declaration

    public byte UnkByte_1

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UnkMatrix

##### Declaration

    public float *UnkMatrix

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### Width

##### Declaration

    public ushort Width

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### X

##### Declaration

    public float X

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Y

##### Declaration

    public float Y

##### Field Value

Type | Description
--- | ---
System.Single |

### Properties

| Improve this Doc View Source

#### IsVisible

##### Declaration

    public bool IsVisible { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |